unit unit2;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs,
  //units added here
  EasyLazFreeType,             //FreeType support
  BGRABitmap, BGRABitmapTypes, //BGRABitmap
  BGRAFreeType;                //BGRABitmap FreeType support

type

  { TForm1 }

  TForm1 = class(TForm)
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure FormPaint(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
    ftfont: TFreeTypeFont;
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

uses {BGRATextFX,} LazFreeTypeFontCollection;
{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
begin
  FontCollection := TFreeTypeFontCollection.Create;
  FontCollection.AddStream(TFileStream.Create('Arial.ttf',fmOpenRead),True);
  FontCollection.AddStream(TFileStream.Create('timesi.ttf',fmOpenRead),True);
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  FreeAndNil(FontCollection);
end;

procedure TForm1.FormPaint(Sender: TObject);
var
  bmp: TBGRABitmap;
  drawer: TBGRAFreeTypeDrawer;
//  fx: TBGRATextEffect;
begin
  ftfont := TFreeTypeFont.Create;
  ftfont.Name := 'Arial';
  ftfont.SizeInPixels := 30;
  ftfont.ClearType := True;

  bmp := TBGRABitmap.Create(ClientWidth,ClientHeight,ColorToRGB(clBtnFace));
  drawer := TBGRAFreeTypeDrawer.Create(bmp);
  drawer.DrawText('Lé çà où',ftfont,0,0, BGRABlack,[ftaTop,ftaLeft]);

  ftfont.Name := 'Times New Roman';
{  fx := drawer.CreateTextEffect('Hello',ftfont);
  fx.DrawShadow(bmp,100,100,5,BGRABlack);
  fx.Draw(bmp,100-5,100-5,BGRAWhite);
  fx.Free;}
  drawer.DrawText('Hello',ftfont,100,100,BGRABlack);
  drawer.DrawText('Hello',ftfont,100-1,100-1,CSSYellow);

  drawer.Free;
  bmp.Draw(Canvas,0,0);
  bmp.Free;

  ftfont.Free;
end;

end.

